Package org.apache.calcite.avatica.util

# Class Unsafe

java.lang.Object
org.apache.calcite.avatica.util.Unsafe

public class Unsafe extends Object
Contains methods that call JDK methods that the forbidden APIs checker does not approve of.

This class is excluded from the check, so methods called via this class will not fail the build.

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatLocalString(String format, Object... args)`
Returns a `String`, created from the given format and args, with the root locale.
`static Calendar`
`localCalendar()`
Returns a `Calendar` with the local time zone and root locale.
`static void`
`notifyAll(Object o)`
Calls `Object.notifyAll()`.
`static void`
`systemExit(int status)`
Calls `System.exit(int)`.
`static void`
`wait(Object o)`
Calls `Object.wait()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### systemExit

public static void systemExit(int status)
Calls `System.exit(int)`.

### notifyAll

public static void notifyAll(Object o)
Calls `Object.notifyAll()`.

### wait

public static void wait(Object o) throws InterruptedException
Calls `Object.wait()`.

Throws:
  `InterruptedException`

### localCalendar

public static Calendar localCalendar()
Returns a `Calendar` with the local time zone and root locale.

### formatLocalString

public static String formatLocalString(String format, Object... args)
Returns a `String`, created from the given format and args, with the root locale. Analog to `String.format(String, Object...)`.

Parameters:
  `format` - The format string
  `args` - Arguments to be substituted into the format string.